Package org.apache.lucene.index

# Class MergePolicy.MergeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.index.MergePolicy.MergeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MergePolicy`

public static class MergePolicy.MergeException extends RuntimeException
Exception thrown if there are any problems while executing a merge.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeException(String message)`
  Create a `MergeException`.
  `MergeException(Throwable exc)`
  Create a `MergeException`.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MergeException

    public MergeException(String message)
    Create a `MergeException`.

  - ### MergeException

    public MergeException(Throwable exc)
    Create a `MergeException`.